<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bonus.canteen.core.allocation.canteen.mapper.AllocLabelMapper">

    <!-- 分页查询标签 -->
    <select id="pageLabel" resultType="com.bonus.canteen.core.allocation.canteen.vo.AllocLabelVO">
        SELECT label_name
        FROM alloc_label
        <where>
            <if test="labelName != null and labelName != ''">
                label_name LIKE #{labelName}
            </if>
        </where>
        GROUP BY label_name
        ORDER BY label_name DESC
    </select>

</mapper>